"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.configure = configure;

var _reactNative = require("react-native");

const LINKING_ERROR = `The package 'react-native-teads-sdk' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const TeadsSdk = _reactNative.NativeModules.TeadsSdk ? _reactNative.NativeModules.TeadsSdk : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }

});

function configure() {
  TeadsSdk.configure();
}
//# sourceMappingURL=index.js.map