import { NativeModules, Platform } from 'react-native';
const LINKING_ERROR = `The package 'react-native-teads-sdk' doesn't seem to be linked. Make sure: \n\n` + Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const TeadsSdk = NativeModules.TeadsSdk ? NativeModules.TeadsSdk : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }

});
export function configure() {
  TeadsSdk.configure();
}
//# sourceMappingURL=index.js.map